Bug 252102 - org.netbeans.modules.editor.completion.LazyListModel.initialize: LowPerformance took 26543 ms.
org.netbeans.modules.editor.completion.LazyListModel.initialize: LowPerforman...
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Completion & Templates
8.1
All All
: P3 (vote)
: 8.1
Assigned To: Dusan Balek
issues@editor
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-27 08:06 UTC by Alexander Simon
Modified: 2015-04-29 02:32 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (269.67 KB, application/nps)
2015-04-27 08:06 UTC, Alexander Simon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2015-04-27 08:06:30 UTC
This issue was reported manually by alexvsimon.
It already has 2 duplicates 


Build: NetBeans IDE Dev (Build 20150427-9594f7084608)
VM: Java HotSpot(TM) Client VM, 24.75-b04, Java(TM) SE Runtime Environment, 1.7.0_75-b13
OS: SunOS

User Comments:
alexvsimon: invoke code completion



Maximum slowness yet reported was 26543 ms, average is 15442
Comment 1 Alexander Simon 2015-04-27 08:06:33 UTC
Created attachment 153400 [details]
nps snapshot
Comment 2 Dusan Balek 2015-04-28 08:01:50 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/eb7a5185a5b7
Comment 3 Quality Engineering 2015-04-29 02:32:15 UTC
Integrated into 'main-silver', will be available in build *201504290001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/eb7a5185a5b7
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #252102: org.netbeans.modules.editor.completion.LazyListModel.initialize: LowPerformance - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo